package testutil

import (
	"testing"

	"github.com/stretchr/testify/require"

	"gitlab.dms3.io/dms3/go-graphsync/ldutil"
)

func TestFailParseSelectorSpec(t *testing.T) {
	spec := NewUnparsableSelectorSpec()
	_, err := ldutil.ParseSelector(spec)
	require.Error(t, err, "unparsable selector should not parse")
}
